/*
Theme Name: Nexus Family Law
Version: 1.0
Template: krakatoa
*/

/***** Base Styling *****/
a {
  color: var(--wp--preset--color--secondary);
}

a:hover {
  color: var(--wp--preset--color--secondary-light);
}

button {
  background-color: var(--wp--preset--color--tertiary);
  border: 2px solid var(--wp--preset--color--tertiary);
  color: var(--wp--preset--color--white);
  transition: all .5s;
}

button:hover {
  background-color: transparent!important;
  color: var(--wp--preset--color--white);
  transition: all .5s;
}

.responsive-embed {
  position: relative;
  padding-bottom: 56.25%;
  height: 0;
  overflow: hidden;
  max-width: 100%;
}

.responsive-embed iframe,
.responsive-embed object,
.responsive-embed embed {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.fade-in-element {
  opacity: 0;
}

@keyframes fade-in-grow {
  from {opacity: 0; transform: scale(.7,.7)}
  to {opacity: 1;}
}

@keyframes fade-in-top {
  from {opacity: 0; transform: translateY(-50px)}
  to {opacity: 1;}
}

@keyframes fade-in-bottom {
  from {opacity: 0; transform: translateY(50px)}
  to {opacity: 1;}
}

@keyframes fade-in-left {
  from {opacity: 0; transform: translateX(-50px)}
  to {opacity: 1;}
}

@keyframes fade-in-right {
  from {opacity: 0; transform: translateX(50px)}
  to {opacity: 1;}
}

.fade-in-grow {
  animation: fade-in-grow 1.4s;
}

.fade-in-top {
  animation: fade-in-top 1.4s;
}

.fade-in-bottom {
  animation: fade-in-bottom 1.4s;
}

.fade-in-left {
  animation: fade-in-left 1.4s;
}

.fade-in-right {
  animation: fade-in-right 1.4s;
}

/***** Header *****/
header {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 99;
}

.page-id-9 header,
.single-attorney header {
  color: #fff;
}

#header-cta a {
  border: 2px solid var(--wp--preset--color--primary);
  transition: all .5s;
}

#header-cta a:hover {
  background-color: transparent!important;
  color: var(--wp--preset--color--white);
  transition: all .5s;
}

/***** Forms *****/
body .gform_wrapper .gform_heading .gform_required_legend {
  display: none;
}

body .gform_wrapper .gform_footer input[type=submit] {
  display: block!important;
  padding: 5px 25px;
  background-color: transparent!important;
  border: 2px solid var(--wp--preset--color--primary)!important;
  border-radius: 0!important;
  inline-size: 100%!important;
  text-transform: uppercase!important;
  transition: all .5s!important;
}

body .gform_wrapper .gform_footer input[type=submit]:hover {
  background-color: var(--wp--preset--color--primary)!important;
  color: var(--wp--preset--color--black)!important;
  transition: all .5s!important;
}

::-webkit-input-placeholder { /* Chrome */
  color: var(--wp--preset--color--gray);
  font-style: italic;
}
:-ms-input-placeholder { /* IE 10+ */
  color: var(--wp--preset--color--gray);
  font-style: italic;
}
::-moz-placeholder { /* Firefox 19+ */
  color: var(--wp--preset--color--gray);
  font-style: italic;
  opacity: 1;
}
:-moz-placeholder { /* Firefox 4 - 18 */
  color: var(--wp--preset--color--gray);
  font-style: italic;
  opacity: 1;
}

/***** Home *****/
.hero-search input,
.hero-search button {
  background-color: transparent;
  color: var(--wp--preset--color--white);
}

.hero-search ::-webkit-input-placeholder { /* Chrome */
  color: var(--wp--preset--color--white);
}
.hero-search :-ms-input-placeholder { /* IE 10+ */
  color: var(--wp--preset--color--white);
}
.hero-search ::-moz-placeholder { /* Firefox 19+ */
  color: var(--wp--preset--color--white);
  opacity: 1;
}  #hero-content {
    padding-top: 150px;
  }
.hero-search :-moz-placeholder { /* Firefox 4 - 18 */
  color: var(--wp--preset--color--white);
  opacity: 1;
}

#home-contact {
  -webkit-clip-path: polygon(0 70px,100% 0,100% 100%,0 100%);
}

#home-contact {
  margin-top: -200px;
}

svg#practice-areas circle {
  transition: all .5s;
}

svg#practice-areas circle:hover {
  fill-opacity: 1!important;
  transition: all .5s;
}

#home-blog .wp-block-column {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/***** Pages *****/
.practice-area-form {
  box-shadow: rgba(0, 0, 0, .2) 8px 0px 32px 12px;
}

button.practice-area-cta {
  background-color: var(--wp--preset--color--primary);
  border: 2px solid var(--wp--preset--color--primary);
  padding: 10px 20px;
  font-weight: bold;
  text-transform: uppercase;
}


/***** Footer *****/
footer {
  margin-top: 0;
  margin-block-start: 0!important;
}

/*#footer-top {
  background-image: url(assets/img/flourish.png);
  background-position: 20px 20px;
  background-repeat: no-repeat;
}*/

#call-button {
  display: none;
  position: fixed;
  bottom: 25px;
  right: 25px;
  width: 65px;
  height: 65px;
  background-color: var(--wp--preset--color--primary);
  color: #fff;
  border-radius: 50%;
  justify-content: center;
  align-items: center;
  z-index: 999;
}

/***** Media Queries *****/
@media (max-width: 988px) {
  #header-cta {
    display: none;
  }
}

@media (max-width: 941px) and (min-width: 601px) {
  header div:nth-child(2)>div {
    justify-content: center!important;
  }
}

@media (max-width: 781px) {
  #home-blog .wp-block-column {
    border-right: none!important;
  }
}

@media (max-width: 600px) {
  ul.wp-block-navigation-submenu li {
    padding: 10px;
  }

  nav .wp-block-navigation__responsive-container-content,
  nav ul.wp-block-navigation__container,
  nav ul.wp-block-navigation__container li {
    align-items: flex-start!important;
  }

  #footer-bottom,
  #footer-copyright div {
    text-align: center;
    justify-content: center;
  }

  #call-button {
    display: flex;
  }
}
